package com.pnkx.designpatterns;

import com.pnkx.designpatterns.factorymethod.AnimalFactory;
import com.pnkx.designpatterns.factorymethod.model.Animal;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
public class DesignPatternsApplication {

    public static void main(String[] args) {
        // 使用工厂类创建不同的 Animal 对象
        Animal dog = AnimalFactory.createAnimal("dog");
        dog.sound();
        Animal cat = AnimalFactory.createAnimal("cat");
        cat.sound();
    }
}
