package com.pnkx.designpatterns.factorymethod;

import com.pnkx.designpatterns.factorymethod.model.Animal;
import com.pnkx.designpatterns.factorymethod.model.Cat;
import com.pnkx.designpatterns.factorymethod.model.Dog;

/**
 * AnimalFactory
 *
 * @author 裴浩宇
 * @version 1.0
 * @date 2023/10/17 13:58
 * @description 动物工厂类
 */
public class AnimalFactory {
    // 根据传入的参数创建具体的动物类对象
    public static Animal createAnimal(String type) {
        if (type.equalsIgnoreCase("dog")) {
            return new Dog();
        } else if (type.equalsIgnoreCase("cat")) {
            return new Cat();
        } else {
            throw new IllegalArgumentException("Invalid animal type: " + type);
        }
    }
}
